Cancel statement
POST
/api/v1/statements/{statement_id}/cancel
const url = 'https://example.com/api/v1/statements/example/cancel';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/statements/example/cancelCancel a SQL statement.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”statement_id
required
Statement Id
The ID of the statement to cancel
string
The ID of the statement to cancel
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
StatementCancelResponse
Response model for statement cancellation.
object
statement_id
required
Statement Id
Statement ID that was cancelled
string
status
required
Status
Status after cancellation
string
message
required
Message
Cancellation result message
string
Examplegenerated
{ "statement_id": "example", "status": "example", "message": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}